This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 487876 - ERROR with rpm_check_debug vs depsolve
ERROR with rpm_check_debug vs depsolve
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-28 12:03 EST by Anthony Green
Modified: 2013-01-10 00:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-22 14:44:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2009-02-28 12:03:06 EST
Description of problem:
I'm trying to build some packages for rawhide on RHEL 5.3 using mock.  I get the following error message from mock..

ERROR with rpm_check_debug vs depsolve:
rpmlib(FileDigests) is needed by audit-libs-1.7.12-2.fc11.i586
rpmlib(FileDigests) is needed by rpm-libs-4.6.0-10.fc11.i586
rpmlib(FileDigests) is needed by coreutils-7.1-4.fc11.i586
rpmlib(FileDigests) is needed by e2fsprogs-1.41.4-5.fc11.i586
rpmlib(FileDigests) is needed by rpm-build-4.6.0-10.fc11.i586
rpmlib(FileDigests) is needed by setup-2.8.1-1.fc11.noarch
rpmlib(FileDigests) is needed by bash-4.0-2.fc11.i586
rpmlib(FileDigests) is needed by rpm-4.6.0-10.fc11.i586
rpmlib(FileDigests) is needed by e2fsprogs-libs-1.41.4-5.fc11.i586
rpmlib(FileDigests) is needed by procps-3.2.7-27.fc11.i586
rpmlib(FileDigests) is needed by ethtool-6-3.20090115git.fc11.i586
rpmlib(FileDigests) is needed by iputils-20071127-8.fc11.i586
rpmlib(FileDigests) is needed by kernel-headers-2.6.29-0.159.rc6.git3.fc11.i586
rpmlib(FileDigests) is needed by openldap-2.4.15-1.fc11.i586
rpmlib(FileDigests) is needed by ssmtp-2.61-11.9.fc11.i586
rpmlib(FileDigests) is needed by popt-1.13-5.fc11.i586
(1, ['Please report this error in bugzilla'])


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rob Crittenden 2009-03-05 10:10:01 EST
I'm seeing the same thing in Fedora 9 x86_64 only with lots more rpmlib(FileDigests) lines.
Comment 2 Jean-Pierre Dion 2009-03-13 08:25:01 EDT
Any workaround or fix ?
Thanks.

jean-pierre
Comment 3 Clark Williams 2009-03-13 09:56:08 EDT
This is usually an issue with package dependencies in the repository. 

what version of mock?
what is the command line you're using?
Comment 4 Jean-Pierre Dion 2009-03-17 05:38:58 EDT
Hi,

the issue seems related to rawhide repository, when I add it into my repolist this makes some packages being loaded. When I do not use rawhide rep, no issue.

I use mock 0.9.14.

My command is : yum update

Thanks.

jean-pierre
Comment 5 Anthony Green 2009-03-17 08:04:24 EDT
(In reply to comment #3)
> This is usually an issue with package dependencies in the repository. 
> 
> what version of mock?
> what is the command line you're using?  

Hi Clark,

  I'm using mock-0.9.14-1.el5, and "mock -r fedora-rawhide-i386 <PACKAGE>"

AG
Comment 6 Rob Crittenden 2009-03-17 09:49:30 EDT
I'm doing a 'make mockbuild' in the devel branch of the mod_nss Fedora package.
Comment 7 Michael Ploujnikov 2009-03-25 23:22:14 EDT
I'm just trying to install a package from rawhide in F9:
yum --enablerepo=rawhide update syslinux

See http://yum.baseurl.org/ticket/79 for more info.
Comment 8 Bug Zapper 2009-06-09 07:44:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jesse Keating 2009-12-22 14:44:19 EST
Rawhide rpms require things that the stock rpm in EL5 and F9 don't support.  I do believe that Panu published a build for EL5 that works.  This isn't really a mock issue.

Note You need to log in before you can comment on or make changes to this bug.